/* client.C  */

#include <iostream.h>
#include <string.h>

#include <rpc/rpc.h>

extern "C" {
#include "testxdr.h"
}

main(int argc, char *argv[])

{
  CLIENT *c1;
  char *server;

  char **sresult;


  if (argc !=2){
    cerr <<"usage:" << argv[0] <<" hostname\n";
    exit(1);
  }

  server = argv[1];

  if ((c1 = clnt_create(server, TEST_PROG, TEST_VERS, "udp")) == NULL){
       clnt_pcreateerror(server);
    exit(2);
  }

  testxdr xdrmessage; //structure testxdr defined in testxdr.x

  long temp_long = 1;
  char *temp_str = "Client is testing";
  
  //initialize xdrmessage
  xdrmessage.long_arg = temp_long;
  xdrmessage.string_arg = temp_str;
  
  if ((sresult = str_test_1(&xdrmessage, c1)) == NULL){
       clnt_perror(c1, server);
       exit(4);
     }

  cout << "Client call server successfully\n ";
  cout << "Server send message back:\n " << server << " = " <<*sresult<<"\n";
    
  clnt_destroy(c1);
  exit(0);
 }






